 /*
    Peter's Picross - A remake for TI 68k-based calculators of the Nintendo Gameboy game, "Mario's Picross"
    Copyright (C) 2008  Peter Fernandes
    supersonicandtails@gmail.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
    
    
    main.h: basic includes
*/

#define VERSION_STRING "1.00"

//#define DEBUG1

#undef LCD_HEIGHT
#define LCD_HEIGHT ((signed short)PSEUDO_CONST_SCREEN(100,128))

#undef LCD_WIDTH
#define LCD_WIDTH ((signed short)PSEUDO_CONST_SCREEN(160,240))



typedef struct {
	char *name;
	char *author;
	unsigned short *board;
	char numbers[270];
	char dim;
	short maxnumy; //used to let the board hug the top of the screen
	short maxnumx; //used to let the board hug the left of the screen
	short needs_scroll;
	char filename[9];
} PUZZLE;




